# Uses of Interface
org.eclipse.e4.ui.css.core.dom.properties.converters.ICSSValueConverterConfig

Packages that use ICSSValueConverterConfig
Package
Description
org.eclipse.e4.ui.css.core.css2
org.eclipse.e4.ui.css.core.dom.properties.converters
org.eclipse.e4.ui.css.swt.properties.converters

## Uses of ICSSValueConverterConfig in org.eclipse.e4.ui.css.core.css2

Methods in org.eclipse.e4.ui.css.core.css2 with parameters of type ICSSValueConverterConfig
Modifier and Type
Method
Description
`static String`
CSS2ColorHelper.`getColorStringValue(RGBColor rgbColor, ICSSValueConverterConfig config)`
Return color string form w3c `rgbColor` instance.

## Uses of ICSSValueConverterConfig in org.eclipse.e4.ui.css.core.dom.properties.converters

Subinterfaces of ICSSValueConverterConfig in org.eclipse.e4.ui.css.core.dom.properties.converters
Modifier and Type
Interface
Description
`interface`
`ICSSValueConverterColorConfig`
`ICSSValueConverterConfig` to manage format String of the `RGBColor`.
Classes in org.eclipse.e4.ui.css.core.dom.properties.converters that implement ICSSValueConverterConfig
Modifier and Type
Class
Description
`class`
`CSSValueConverterConfigColorImpl`
CSS Value converter color config to format the CSSValue string color.
Fields in org.eclipse.e4.ui.css.core.dom.properties.converters declared as ICSSValueConverterConfig
Modifier and Type
Field
Description
`static final ICSSValueConverterConfig`
CSSValueConverterConfigColorImpl.`COLOR_HEXA_FORMAT_CONFIG`
`static final ICSSValueConverterConfig`
CSSValueConverterConfigColorImpl.`COLOR_NAME_FORMAT_CONFIG`
`static final ICSSValueConverterConfig`
CSSValueConverterConfigColorImpl.`COLOR_RGB_FORMAT_CONFIG`
Methods in org.eclipse.e4.ui.css.core.dom.properties.converters with parameters of type ICSSValueConverterConfig
Modifier and Type
Method
Description
`String`
CSSValueBooleanConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
ICSSValueConverter.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
Returns String `CSSValue` of the result of the conversion of the given Object `value`.

## Uses of ICSSValueConverterConfig in org.eclipse.e4.ui.css.swt.properties.converters

Methods in org.eclipse.e4.ui.css.swt.properties.converters with parameters of type ICSSValueConverterConfig
Modifier and Type
Method
Description
`String`
CSSValueSWTColorConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTCursorConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTFontConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTFontDataConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTGradientConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTImageConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`
`String`
CSSValueSWTRGBConverterImpl.`convert(Object value, CSSEngine engine, Object context, ICSSValueConverterConfig config)`